Page MenuHomePhabricator

Test and fix Engage role-specific save hooks
Closed, ResolvedPublic1 Story Points

Description

We wrote some form defaults and validations for users with the Engage role. Give self that role and test their contribution edit workflow on staging.

Event Timeline

awight created this task.Oct 26 2015, 9:17 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)

This doesn't cause any errors, but our defaults and rules no longer work correctly. Fixing...

Change 249029 had a related patch set uploaded (by Awight):
Update field name to -financial_type

https://gerrit.wikimedia.org/r/249029

awight renamed this task from Test Engage role-specific save hooks to Test and fix Engage role-specific save hooks.Oct 27 2015, 12:02 AM
awight claimed this task.
awight moved this task from Backlog to Review on the Fundraising Sprint Vengaboys board.
awight set Security to None.

Change 249029 merged by jenkins-bot:
Update field name to -financial_type

https://gerrit.wikimedia.org/r/249029

awight edited a custom field.Nov 4 2015, 11:52 PM

We think this is fixed. If we hear from Patty that she's having trouble again, we'll let you know.

CaitVirtue closed this task as Resolved.Nov 30 2015, 10:24 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM